Debian Bug report logs - #534032
ksimus-datarecorder: FTBFS: required file `admin/config.guess' not found

version graph

Package: ksimus-datarecorder; Maintainer for ksimus-datarecorder is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Jun 2009 15:26:31 UTC

Severity: serious

Tags: sid, squeeze

Found in version ksimus-datarecorder/0.3.6-13

Fixed in version 0.3.6-13+rm

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#534032; Package ksimus-datarecorder. (Sun, 21 Jun 2009 15:26:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sun, 21 Jun 2009 15:26:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: ksimus-datarecorder: FTBFS: required file `admin/config.guess' not found
Date: Sun, 21 Jun 2009 17:07:12 +0200
Package: ksimus-datarecorder
Version: 0.3.6-13
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[3]: Entering directory `/build/user-ksimus-datarecorder_0.3.6-13-amd64-a2KME7/ksimus-datarecorder-0.3.6'
> make[3]: Leaving directory `/build/user-ksimus-datarecorder_0.3.6-13-amd64-a2KME7/ksimus-datarecorder-0.3.6'
> make[2]: Leaving directory `/build/user-ksimus-datarecorder_0.3.6-13-amd64-a2KME7/ksimus-datarecorder-0.3.6'
> *** Creating aclocal.m4
> *** Creating configure
> *** Creating config.h template
> *** Creating Makefile templates
> configure.in:34: required file `admin/config.guess' not found
> configure.in:34: required file `admin/config.sub' not found
> make[1]: *** [cvs] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/06/20/ksimus-datarecorder_0.3.6-13_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#534032; Package ksimus-datarecorder. (Fri, 28 Aug 2009 16:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <debian@christoph-egger.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 28 Aug 2009 16:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 534032@bugs.debian.org (full text, mbox):

From: Christoph Egger <debian@christoph-egger.org>
To: 534032@bugs.debian.org, 533982@bugs.debian.org, 533954@bugs.debian.org
Cc: kibi@debian.org
Subject: investigating ksimus
Date: Fri, 28 Aug 2009 18:51:56 +0200
[Message part 1 (text/plain, inline)]
Hi!

	The admin/config.{guess,sub} not found can apparently be solved by
copying the version in /usr/share/misc in the configure target. However
thereafter these packages will all fail to build because not all
symbols can be resolved and libtool doesn't like that

	Without actually testing, this seems however to be correct
behaviour as these libraries are intended as plugins and some of the
missing symbols seem to directly come from the ksimus binary that is
intended to load them.

Regards

	Christoph

-- 
/"\  ASCII Ribbon : GPG-Key ID: 0x0372275D
\ /    Campaign   : GPG 4096R : 0xD49AE731
 X   against HTML : Debian NM
/ \   in eMails   : http://www.debian.org/

http://www.christoph-egger.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#534032; Package ksimus-datarecorder. (Tue, 29 Sep 2009 22:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 29 Sep 2009 22:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 534032@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Christoph Egger <debian@christoph-egger.org>
Cc: 534032@bugs.debian.org, 533982@bugs.debian.org, 533954@bugs.debian.org
Subject: Re: investigating ksimus
Date: Wed, 30 Sep 2009 00:26:40 +0200
[Message part 1 (text/plain, inline)]
Christoph Egger <debian@christoph-egger.org> (28/08/2009):
> Hi!

Hello one month later! (hrm :/)

> 	The admin/config.{guess,sub} not found can apparently be
> solved by copying the version in /usr/share/misc in the configure
> target. However thereafter these packages will all fail to build
> because not all symbols can be resolved and libtool doesn't like
> that

That's the usual way to fix this kind of issues, when there's an
admin/ directory around. Note that in the general case, “autoreconf
-vfi” does what you need almost all the time, but sometimes you need
to run each and every autotools command with appropriate cwd etc.

> 	Without actually testing, this seems however to be correct
> behaviour as these libraries are intended as plugins and some of the
> missing symbols seem to directly come from the ksimus binary that is
> intended to load them.

Yeah. Note that when dpkg-shlibdeps complains about missing symbols, a
plugin architecture can be an explanation. We can discuss privately
another issue that can happen at build time because of missing symbols
if you like.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Christoph Egger <debian@christoph-egger.org> to control@bugs.debian.org. (Mon, 02 Nov 2009 09:36:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#534032; Package ksimus-datarecorder. (Sun, 08 Nov 2009 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <debian@christoph-egger.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sun, 08 Nov 2009 14:21:04 GMT) Full text and rfc822 format available.

Message #22 received at 534032@bugs.debian.org (full text, mbox):

From: Christoph Egger <debian@christoph-egger.org>
To: 534032@bugs.debian.org, 533982@bugs.debian.org
Subject: Being stuck
Date: Sun, 8 Nov 2009 14:47:30 +0100
[Message part 1 (text/plain, inline)]
Hi!

	I have the packages now building fine again and being mostly
lintian clean and nice, however some files are no longer correctly
installed. I once solved that for ksimus-boolean but can't work out
how I did it.

	The current status of these packages are at [0] so if anyone wants
to continue on it (s)he can take it there.

Regards

	Christoph

[0] http://alioth.debian.org/~christoph-guest
-- 
/"\  ASCII Ribbon : GPG-Key ID: 0xD49AE731
\ /    Campaign   : CaCert Assurer
 X   against HTML : Debian Maintainer
/ \   in eMails   : http://www.debian.org/

http://www.christoph-egger.org/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Fri, 22 Jan 2010 16:42:43 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Thu, 29 Jul 2010 00:03:12 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 29 Jul 2010 00:03:12 GMT) Full text and rfc822 format available.

Message #29 received at 534032-done@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 534032-done@bugs.debian.org, 393293-done@bugs.debian.org, 393292-done@bugs.debian.org
Cc: Sandro Tosi <morph@debian.org>
Subject: ksimus-datarecorder removed from Debian unstable
Date: Wed, 28 Jul 2010 21:24:38 +0200 (CEST)
Version: 0.3.6-13+rm

ksimus-datarecorder has been removed from Debian unstable: http://bugs.debian.org/589506

Closing its bugs with a Version higher than the last unstable upload.

More information about this script at:
  http://git.debian.org/?p=users/morph/mass-bugs-close.git;a=blob_plain;f=README;hb=HEAD




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:55:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:28:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.